#include <bits/stdc++.h>

using namespace std;

int main()
{
    string tekst;
    string rec;
    int br=0;
    cin>>tekst>>rec;
    string og;
    og=tekst;
    if (rec.size()>tekst.size())
    {
        cout<<"0"<<endl<<tekst;
        return 0;
    }
    if (rec.size()==tekst.size())
    {
        if (rec!=tekst)
        {
            cout<<"0"<<endl<<tekst;
            return 0;
        }
        else
        {
            tekst[0]='*';
            cout<<"1"<<endl<<tekst;
            return 0;
        }
    }
    if (rec=="a")
    {
        for (int i=0;i<tekst.size();i++)
        {
            if (tekst[i]=='a')
            {
                tekst[i]='*';
                br++;
            }
        }
        cout<<br<<endl<<tekst;
        return 0;
    }
    int ok=0;
    for (int i=0;i<rec.size();i++)
    {
        if (rec[i]!='a')
        {
            ok=1;
            break;
        }
    }
    if (ok==0)
    {
        for (int i=0;i<tekst.size();i++)
        {
            if (tekst[i]=='a')
            {
                br++;
            }
        }
        if (br<rec.size())
        {
            cout<<"0"<<endl<<tekst;
        }
        else
        {
            cout<<br-rec.size()+1<<endl;
            int broj=br-rec.size()+1;
            for (int i=0;i<tekst.size();i++)
            {
                if (tekst[i]=='a')
                {
                    if (broj!=0)
                    {
                        tekst[i]='*';
                        broj--;
                    }
                }
            }
            cout<<tekst;
        }
        return 0;
    }
    if (rec=="ab")
    {
        int brb=0;
        int bra=0;
        int poz=0;
        int poza=0;
        string recb=tekst;
        string reca=tekst;
        for (int i=0;i<tekst.size();i++)
        {
            if (tekst[i]=='a')
            {
                poza=i;
                break;
            }
        }
        for (int i=poza;i<tekst.size();i++)
        {
            if (tekst[i]=='b')
            {
                brb++;
                poz=i;
                recb[i]='*';
            }
        }
        for (int i=0;i<poz;i++)
        {
            if (tekst[i]=='a')
            {
                bra++;
                reca[i]='*';
            }
        }
        if (bra==0 || brb==0)
        {
            cout<<"0"<<endl<<og;
        }
        else if (bra<brb)
        {
            cout<<bra<<endl<<reca;
        }
        else
        {
            cout<<brb<<endl<<recb;
        }
        return 0;
    }
    /*
    if (rec=="abc")
    {
        int brb=0;
        int okb=0;
        int bra=0;
        int brc=0;
        int pozc=0;
        int pozb=0;
        for (int i=0;i<tekst.size();i++)
        {
            if (tekst[i]=='c')
            {
                brc++;
                pozc=i;
            }
        }
        for (int i=0;i<pozc;i++)
        {
            if (tekst[i]=='a')
            {
                poza1=i;
                break;
            }
        }
        for (int i=poza1;i<pozc;i++)
        {
            if (tekst[i]=='b')
            {
                pozb1=i;
                break;
            }
        }
        for (int i=poza1;i<pozc;i++)
        {
            if (tekst[i]=='b')
            {
                brb++;
                pozb2=i;
            }
        }
        for (int i=0;i<pozc;i++)
        {
            if (tekst[i]=='a')
            {
                bra++;
                poza2=i;
            }
        }

    }
    */
    ok=1;
    int j=0;
    for (int i=0;i<tekst.size();i++)
    {
        if (tekst[i]==rec[j])
        {
            //cout<<j<<" ";
            j++;
        }
        if (j==rec.size())
        {
            ok=0;
            break;
        }
    }
    //cout<<ok;
    if (ok==1)
    {
        cout<<"0"<<endl<<og;
        return 0;
    }
}